/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         sym.$("Text").html("<p>Quizá esta idea se le ocurrió porque un poco antes, cuando más  <span class='yellow'>masticaba</span> unas hojas de acacia, vio el siguiente letrero colgado en una <span class='blue'>rama</span>:</p>");
         //sym.$("Text").html("<p>La jirafa pensó: “¡Un pelícano aburrido como yo! ¡Está como yo! A ver, si <span class='yellow'>escribo</span> una carta, tal vez dejaré de aburrirme y si le <span class='blue'>pido</span> al pelícano que la envíe quizá él también se desaburra. ¡Debo <span class='green'>comenzar</span> a escribirla!”</p>");
         
         
         //botones
         /*sym.getSymbol("bt_validar").stop("normal");
         sym.getSymbol("bt_solucion").stop("down");
         sym.getSymbol("bt_reiniciar").stop("down");
         sym.getSymbol("bt_ayuda").stop("normal");
         sym.$("hotspot_validar").show();
         sym.$("hotspot_solucion").hide();
         sym.$("hotspot_reiniciar").hide();
         sym.$("hotspot_ayuda").show();
         */
         /*var txtH01=(sym.$("TextArea_01").height())-90;
         var txtW01=(sym.$("TextArea_01").width())-40;*/
         //TEXTAREA01//
         
         /*sym.$("TextArea_01").append(document.createElement("TextArea"));
         $('input[type=text], textarea').css({
         	width:txtW01+'px',
         	height:txtH01+'px',
         	border:'none',
         	background:'rgba(248,232,168,0.80)',
         	fontSize:'24px',
         	lineHeight:'40px',
         	textAlign:'left',
         	margin:'20px',
         	//margin-top: '70px',
         	fontFamily:'Cabin',
         	fontStyle:'normal',
         	color:'normal',
         	fontStyle:'#666666'
         });
         sym.$("TextArea_01").children().css("margin-top","70px");*/
         //TEXTAREA02//
         /*sym.$("TextArea_02").append(document.createElement("TextArea"));
         $('input[type=text], textarea').css({
         	width:txtW01+'px',
         	height:txtH01+'px',
         	border:'none',
         	background:'#FFFFFF',
         	fontSize:'26px',
         	lineHeight:'40px',
         	textAlign:'left',
         	margin:'20px',
         	fontFamily:'Cabin',
         	fontStyle:'normal',
         	color:'normal',
         	fontStyle:'#666666'
         });
         */

      });
      //Edge binding end

      

      

      Symbol.bindElementAction(compId, symbolName, "${_linkWrite}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("simThinking").fadeIn("slow");
         sym.getSymbol("simThinking").play(1);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_linkRequest}", "click", function(sym, e) {
         sym.$("simNeck").fadeIn("slow");
         sym.getSymbol("simNeck").play(1);
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_linkStart}", "click", function(sym, e) {
         sym.$("simLetter").fadeIn("slow");
         sym.getSymbol("simLetter").play(1);

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_validar_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================
   
   //Edge symbol: 'Symbol_1'
   (function(symbolName) {   
   
   })("Symbol_1");
   //Edge symbol end:'Symbol_1'

   //=========================================================
   
   //Edge symbol: 'Symbol_2'
   (function(symbolName) {   
   
   })("Symbol_2");
   //Edge symbol end:'Symbol_2'

   //=========================================================
   
   //Edge symbol: 'Symbol_3'
   (function(symbolName) {   
   
      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         
         

      });
      //Edge binding end

   })("Symbol_3");
   //Edge symbol end:'Symbol_3'

   //=========================================================
   
   //Edge symbol: 'sim_giraffe'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         
         sym.play(0);

      });
      //Edge binding end

   })("sim_giraffe");
   //Edge symbol end:'sim_giraffe'

   //=========================================================
   
   //Edge symbol: 'eyes'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         
         sym.play(0);

      });
      //Edge binding end

   })("eyes");
   //Edge symbol end:'eyes'

   //=========================================================
   
   //Edge symbol: 'hed'
   (function(symbolName) {   
   
   })("hed");
   //Edge symbol end:'hed'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
         });
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion); 
         
         $("audio").prop("muted", true);
         
         	if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	//elimina el mute del audio
         	sym.getComposition().getStage().$(soundId)[0].muted = false;
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         /*sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");*/

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'simGiraffe_1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().fadeOut("slow");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_reiniciar}", "click", function(sym, e) {
         //sym.getSymbol("hotspot_reiniciar").stop("down");
         
         sym.getSymbol("simChew_m").playReverse(199);
         sym.getSymbol("simChew_a").playReverse(199);
         sym.getSymbol("simChew_s").playReverse(199);
         sym.getSymbol("simChew_t").playReverse(199);
         sym.getSymbol("simChew_i").playReverse(199);
         sym.getSymbol("simChew_c").playReverse(199);
         sym.getSymbol("simChew_a2").playReverse(199);
         sym.getSymbol("simChew_b").playReverse(199);
         sym.getSymbol("simChew_a3").playReverse(199);
         
         sym.getSymbol("bt_reiniciar").playReverse(199);
         
         
         

      });
      //Edge binding end

   })("simThinking");
   //Edge symbol end:'simThinking'

   //=========================================================
   
   //Edge symbol: 'simGiraffe_1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().fadeOut("slow");
         

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_reiniciar}", "click", function(sym, e) {
         sym.getSymbol("bt_reiniciar").stop("down");
         sym.getSymbol("simBranch_r").playReverse(199);
         sym.getSymbol("simBranch_a").playReverse(199);
         sym.getSymbol("simBranch_m").playReverse(199);
         sym.getSymbol("simBranch_a2").playReverse(199);
         
         sym.getSymbol("bt_reiniciar").playReverse(199);
         
         
         

      });
         //Edge binding end

      })("simNeck");
   //Edge symbol end:'simNeck'

   //=========================================================
   
   //Edge symbol: 'simNeck_1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().fadeOut("slow");
         

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_reiniciar}", "click", function(sym, e) {
         sym.getSymbol("bt_reiniciar").stop("down");
         
         sym.getSymbol("simVoluntary_v").playReverse(199);
         sym.getSymbol("simVoluntary_o").playReverse(199);
         sym.getSymbol("simVoluntary_l").playReverse(199);
         sym.getSymbol("simVoluntary_u").playReverse(199);
         sym.getSymbol("simVoluntary_n").playReverse(199);
         sym.getSymbol("simVoluntary_t").playReverse(199);
         sym.getSymbol("simVoluntary_a").playReverse(199);
         sym.getSymbol("simVoluntary_r").playReverse(199);
         sym.getSymbol("simVoluntary_i").playReverse(199);
         sym.getSymbol("simVoluntary_o2").playReverse(199);
         
         sym.getSymbol("bt_reiniciar").playReverse(199);
         
         
         

      });
         //Edge binding end

      })("simLetter");
   //Edge symbol end:'simLetter'

   //=========================================================
   
   //Edge symbol: 'simWrite_e_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
         //Edge binding end

      })("simChew_m");
   //Edge symbol end:'simChew_m'

   //=========================================================
   
   //Edge symbol: 'simStart_c_6'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
            //Edge binding end

         })("simVoluntary_v");
   //Edge symbol end:'simVoluntary_v'

   //=========================================================
   
   //Edge symbol: 'simChew_m_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
         //Edge binding end

      })("simChew_a");
   //Edge symbol end:'simChew_a'

   //=========================================================
   
   //Edge symbol: 'simChew_m_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
         //Edge binding end

      })("simChew_s");
   //Edge symbol end:'simChew_s'

   //=========================================================
   
   //Edge symbol: 'simChew_m_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
         //Edge binding end

      })("simChew_t");
   //Edge symbol end:'simChew_t'

   //=========================================================
   
   //Edge symbol: 'simChew_m_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
         //Edge binding end

      })("simChew_i");
   //Edge symbol end:'simChew_i'

   //=========================================================
   
   //Edge symbol: 'simChew_m_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
         //Edge binding end

      })("simChew_c");
   //Edge symbol end:'simChew_c'

   //=========================================================
   
   //Edge symbol: 'simChew_m_6'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
         //Edge binding end

      })("simChew_b");
   //Edge symbol end:'simChew_b'

   //=========================================================
   
   //Edge symbol: 'simRequest_d_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
            //Edge binding end

         })("simBranch_r");
   //Edge symbol end:'simBranch_r'

   //=========================================================
   
   //Edge symbol: 'simBranch_r_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
            //Edge binding end

         })("simBranch_a");
   //Edge symbol end:'simBranch_a'

   //=========================================================
   
   //Edge symbol: 'simBranch_r_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
            //Edge binding end

         })("simBranch_m");
   //Edge symbol end:'simBranch_m'

   //=========================================================
   
   //Edge symbol: 'simBranch_r_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
            //Edge binding end

         })("simBranch_r_3");
   //Edge symbol end:'simBranch_r_3'

   //=========================================================
   
   //Edge symbol: 'simVoluntary_v_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
            //Edge binding end

         })("simVoluntary_o");
   //Edge symbol end:'simVoluntary_o'

   //=========================================================
   
   //Edge symbol: 'simVoluntary_v_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
            //Edge binding end

         })("simVoluntary_l");
   //Edge symbol end:'simVoluntary_l'

   //=========================================================
   
   //Edge symbol: 'simVoluntary_v_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
            //Edge binding end

         })("simVoluntary_n");
   //Edge symbol end:'simVoluntary_n'

   //=========================================================
   
   //Edge symbol: 'simVoluntary_v_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
            //Edge binding end

         })("simVoluntary_t");
   //Edge symbol end:'simVoluntary_t'

   //=========================================================
   
   //Edge symbol: 'simVoluntary_v_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
            //Edge binding end

         })("simVoluntary_a");
   //Edge symbol end:'simVoluntary_a'

   //=========================================================
   
   //Edge symbol: 'simVoluntary_v_6'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
            //Edge binding end

         })("simVoluntary_r");
   //Edge symbol end:'simVoluntary_r'

   //=========================================================
   
   //Edge symbol: 'simVoluntary_v_7'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
            //Edge binding end

         })("simVoluntary_i");
   //Edge symbol end:'simVoluntary_i'

   //=========================================================
   
   //Edge symbol: 'simVoluntary_v_10'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.$("hotspot").show();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "click", function(sym, e) {
         sym.play(1);
         sym.$("hotspot").hide();

      });
            //Edge binding end

         })("simVoluntary_u");
   //Edge symbol end:'simVoluntary_u'

   //=========================================================
   
   //Edge symbol: 'bt_audio_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
         });
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion); 
         
         $("audio").prop("muted", true);
         
         	if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	//elimina el mute del audio
         	sym.getComposition().getStage().$(soundId)[0].muted = false;
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
         //Edge binding end

      })("bt_audio2");
   //Edge symbol end:'bt_audio2'

})(jQuery, AdobeEdge, "EDGE-1010687340");